Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
[Java] Class SqlWhereVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          groovy.sql.SqlWhereVisitor

    public class SqlWhereVisitor
    extends CodeVisitorSupport

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`java.util.List` | `getParameters()`
`java.lang.String` | `getWhere()`
`protected java.lang.String` | `tokenAsSql(Token token)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitBooleanExpression(BooleanExpression expression)`
`void` | `visitConstantExpression(ConstantExpression expression)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitReturnStatement(ReturnStatement statement)`
`void` | `visitVariableExpression(VariableExpression expression)`

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getParameters

    public java.util.List getParameters()

### getWhere

    public java.lang.String getWhere()

### tokenAsSql

    protected java.lang.String tokenAsSql(Token token)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitBooleanExpression

    public void visitBooleanExpression(BooleanExpression expression)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression expression)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

### visitVariableExpression

    @Override
    public void visitVariableExpression(VariableExpression expression)

Groovy Documentation